Bug 176559 - non-w3c Complaint CSS
non-w3c Complaint CSS
Status: CLOSED NEXTRELEASE
Product: Fedora Documentation
Classification: Fedora
Component: docs-requests (Show other bugs)
devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ricky Zhou
eric@christensenplace.us
http://www.fedoraproject.org
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-26 08:14 EST by Tejas Dinkar
Modified: 2009-08-05 14:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 14:10:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tejas Dinkar 2005-12-26 08:14:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
I tried out the fedoraproject.org's CSS at w3c validation site:

http://validator.w3.org/

It appears that there are some fatal errors in the CSS:

http://jigsaw.w3.org/css-validator/validator?uri=http%3A%2F%2Fwww.fedoraproject.org%2Fwikidata%2Fkindofblue%2Fcss%2Fcommon.css

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Head down to the above sites

Additional info:
Comment 1 eric@christensenplace.us 2009-06-09 23:38:22 EDT
This document was successfully checked as HTML 4.01 Strict!
Comment 2 Darren VanBuren 2009-06-10 00:29:11 EDT
This bug should be reopened, the *CSS* has validation errors.

@eric:
Please read more carefully next time.
Comment 3 eric@christensenplace.us 2009-06-10 10:51:41 EDT
Ahh...  The CSS...  Will investigate.
Comment 4 eric@christensenplace.us 2009-06-10 12:03:56 EDT
Errors according to W3C CSS Validator:

330  	 #content ul.downloadbox  	 Property border-radius doesn't exist in CSS level 2.1 but exists in [css3] :  1.5ex
331 	#content ul.downloadbox 	Property -webkit-border-radius doesn't exist : 1.5ex
332 	#content ul.downloadbox 	Property -moz-border-radius doesn't exist : 1.5ex 

Warnings:
213  	 #content .roles li  	In (x)HTML+CSS, floated elements need to have a width declared. Only elements with an intrinsic width (html, img, input, textarea, select, or object) are not affected
Comment 5 Darren VanBuren 2009-06-10 13:01:12 EDT
(In reply to comment #4)
> Errors according to W3C CSS Validator:
> 
> 330    #content ul.downloadbox    Property border-radius doesn't exist in CSS
> level 2.1 but exists in [css3] :  1.5ex
> 331  #content ul.downloadbox  Property -webkit-border-radius doesn't exist :
> 1.5ex
> 332  #content ul.downloadbox  Property -moz-border-radius doesn't exist : 1.5ex 
> 
> Warnings:
> 213    #content .roles li   In (x)HTML+CSS, floated elements need to have a
> width declared. Only elements with an intrinsic width (html, img, input,
> textarea, select, or object) are not affected  

For the warning we can just throw in width: 100%; The errors don't really matter. That's a valid property in CSS3, so it's fine. The validator should ignore -moz-* and -webkit-* properties. Fix the warning and I'd call this RESOLVED FIXED.
Comment 6 eric@christensenplace.us 2009-06-10 13:53:06 EDT
Ricky,
I talked to Mo earlier and she said you were the contact for the CSS.  Can you take this bug for action?

Thanks...
Comment 7 eric@christensenplace.us 2009-06-10 13:54:55 EDT
(In reply to comment #5)
> (In reply to comment #4)
> > Errors according to W3C CSS Validator:
> > 
> > 330    #content ul.downloadbox    Property border-radius doesn't exist in CSS
> > level 2.1 but exists in [css3] :  1.5ex
> > 331  #content ul.downloadbox  Property -webkit-border-radius doesn't exist :
> > 1.5ex
> > 332  #content ul.downloadbox  Property -moz-border-radius doesn't exist : 1.5ex 
> > 
> > Warnings:
> > 213    #content .roles li   In (x)HTML+CSS, floated elements need to have a
> > width declared. Only elements with an intrinsic width (html, img, input,
> > textarea, select, or object) are not affected  
> 
> For the warning we can just throw in width: 100%; The errors don't really
> matter. That's a valid property in CSS3, so it's fine. The validator should
> ignore -moz-* and -webkit-* properties. Fix the warning and I'd call this
> RESOLVED FIXED.  

Actually, that's backwards.  W3 will allow the warnings but not the errors.
Comment 8 Darren VanBuren 2009-06-10 14:05:11 EDT
(In reply to comment #7)
> (In reply to comment #5)
> > (In reply to comment #4)
> > > Errors according to W3C CSS Validator:
> > > 
> > > 330    #content ul.downloadbox    Property border-radius doesn't exist in CSS
> > > level 2.1 but exists in [css3] :  1.5ex
> > > 331  #content ul.downloadbox  Property -webkit-border-radius doesn't exist :
> > > 1.5ex
> > > 332  #content ul.downloadbox  Property -moz-border-radius doesn't exist : 1.5ex 
> > > 
> > > Warnings:
> > > 213    #content .roles li   In (x)HTML+CSS, floated elements need to have a
> > > width declared. Only elements with an intrinsic width (html, img, input,
> > > textarea, select, or object) are not affected  
> > 
> > For the warning we can just throw in width: 100%; The errors don't really
> > matter. That's a valid property in CSS3, so it's fine. The validator should
> > ignore -moz-* and -webkit-* properties. Fix the warning and I'd call this
> > RESOLVED FIXED.  
> 
> Actually, that's backwards.  W3 will allow the warnings but not the errors.  

Yep but we can't fix the errors.
Comment 9 Ricky Zhou 2009-06-10 14:10:13 EDT
The warning is fixed in git and should be live in 1-2 hours.  As Darren mentioned above, the errors are acceptable, and don't break the layout on browsers that do not support them.
Comment 10 eric@christensenplace.us 2009-08-05 14:42:32 EDT
Tickets move to docs-request so the fedora-websites component can be removed per request from Ricky.

Note You need to log in before you can comment on or make changes to this bug.